Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javafx.newt
Class Insets

    java.lang.Object
      com.sun.javafx.newt.Insets

All Implemented Interfaces:
  Cloneable

    public class Insets

extends Object
implements Cloneable

Simple class representing insets.

Author:
  tdv

Field Summary
`int` | `bottom`
`int` | `left`
`int` | `right`
`int` | `top`

Constructor Summary
`Insets(int top, int left, int bottom, int right)` Creates and initializes a new `Insets` object with the specified top, left, bottom, and right insets.

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object obj)` Checks whether two insets objects are equal.
`int` | `hashCode()` Returns the hash code for this Insets.
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### top

    public int top

### left

    public int left

### bottom

    public int bottom

### right

    public int right

Constructor Detail

### Insets

    public Insets(int top,
                  int left,
                  int bottom,
                  int right)

  Creates and initializes a new `Insets` object with the specified top, left, bottom, and right insets.

  Parameters:
    `top` - the inset from the top.
    `left` - the inset from the left.
    `bottom` - the inset from the bottom.
    `right` - the inset from the right.

Method Detail

### equals

    public boolean equals(Object obj)

  Checks whether two insets objects are equal. Two instances of `Insets` are equal if the four integer values of the fields `top`, `left`, `bottom`, and `right` are all equal.

  Overrides:
    `equals` in class `Object`
  Returns:
    `true` if the two insets are equal; otherwise `false`.

### hashCode

    public int hashCode()

  Returns the hash code for this Insets.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code for this Insets.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.